package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import ajcon.enumerations.CNMToken;

public class CLiteralNumber extends CStmt{

    private String value;
    private CNMToken kind;
    
    private String base;


    public CLiteralNumber()
    {
        this.value = null;
        kind = null;
        base = "10";
    }

    public CNMToken getKind() {
        return kind;
    }

    public void setKind(CNMToken CNMToken) {
        this.kind = CNMToken;
    }

    

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getBase() {
        return base;
    }

    public void setBase(String base) {
        this.base = base;
    }

    
}
